import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增业务员订单
    appOrder(data) {
        return request({
            url: '/order',
            method: 'post',
            data
        })
    },
    //查询订单商品列表
    inquireOrderGoodsList(data) {
        return request({
            url: '/order/goods/list',
            method: 'get',
            params: data
        })
    },
    //查询订单列表
    inquireOrderList(data) {
        return request({
            url: '/order/list',
            method: 'get',
            params: data
        })
    },
    //查询复购冲突订单列表
    inquireOrderrebuyListList(data) {
        return request({
            url: '/order/rebuyList',
            method: 'get',
            params: data
        })
    },
    //获取订单详细信息
    obtainOrder(data) {
        return request({
            url: `/order/` + data,
            method: 'get',
        })
    },
    //获取退款订单详细子列表
    obtainOrderRefundlistAll(data) {
        return request({
            url: `/order/refund/listAll/goods`,
            method: 'get',
            params: data
        })
    },
    
    //修改订单商品
    editordergoods(data) {
        return request({
            url: '/order/goods/edit',
            method: 'post',
            data
        })
    },
    //获取订单商品详细信息
    inquireOrderinfoList(data) {
        return request({
            url: '/order/goods/info',
            method: 'get',
            params: data
        })
    },
    //获取订单商品重复购买详细信息
    inquireOrderRebuyInfo(data) {
        return request({
            url: '/order/goods/rebuyInfo',
            method: 'get',
            params: data
        })
    },
    //查询购买商品的用户列表
    inquireOrderGoodsBuyGoodsUserList(data) {
        return request({
            url: '/order/goods/buyGoodsUserList',
            method: 'get',
            params: data
        })
    },
    
    //关闭订单商品
    closeOrderGoodsordergoods(data) {
        return request({
            url: '/order/goods/closeOrderGoods',
            method: 'post',
            data
        })
    },
    //查询购买直播商品的用户列表
    inquireOrderGoodsBuyLiveGoodsList(data) {
        return request({
            url: '/order/goods/listLiveGoodsList',
            method: 'get',
            params: data
        })
    },
    //直播商品的用户学习列表
    inquireOrderGoodsBuyuserSectionLiveList(data) {
        return request({
            url: '/order/goods/userSectionLiveList',
            method: 'get',
            params: data
        })
    },
    //保利威用户学习时间日志
    inquireOrderGoodsBuyuserSectionLiveLog(data) {
        return request({
            url: '/order/goods/userSectionLiveLog',
            method: 'get',
            params: data
        })
    },
    //导出购买直播商品的学员学习记录
    inquireOrderGoodsexport_listLiveGoodsList(data) {
        return request({
            url: '/order/goods/export_listLiveGoodsList',
            method: 'get',
            params: data
        })
    },
}